# Package org.apache.groovy.ginq.provider.collection.runtime

- Interface Summary
  Interface | Description
  --- | ---
  Group | Represents group
  Partition | Represents partition
  Queryable | Represents the queryable objects, e.g.
  Window | Represents window which stores elements used by window functions
  WindowDefinition | Represents window definition, which will define the result set to construct the window

- Class Summary
  Class | Description
  --- | ---
  NamedRecord | Represents named record, which is constructed by clauses excluding `from` and joins
  Queryable.Order | Represents an order rule
  QueryableHelper | Helper for Queryable
  RowBound | Represents row bounds of window frame
  ValueBound | Represents value bounds of window frame

- Exception Summary
  Exception | Description
  --- | ---
  TooManyValuesException | Thrown when too many values returned by sub-query in the `select` clause